# delete

abstract fun delete(@Nullable paths: Array<@Nullable Any>): Boolean

Deletes files and directories.

This will not follow symlinks. If you need to follow symlinks too use delete.

#### Return

true if anything got deleted, false otherwise

#### Parameters

paths

Any type of object accepted by files

abstract fun delete(action: Action<in DeleteSpec>): WorkResult

Deletes the specified files. The given action is used to configure a DeleteSpec, which is then used to delete the files.

Example:

    project.delete {
        delete 'somefile'
        followSymlinks = true
    }

Content copied to clipboard

#### Return

WorkResult that can be used to check if delete did any work.

#### Parameters

action

Action to configure the DeleteSpec